com.h3c.sdn.metric

## Class HistogramMetricValue.Builder<T extends HistogramMetricValue.Builder<T>>

- java.lang.Object
- - com.h3c.sdn.metric.MetricValue.Builder<T>
  - - com.h3c.sdn.metric.HistogramMetricValue.Builder<T>

- Type Parameters:
    `T` - specific metric value sub class
  Enclosing class:
    HistogramMetricValue

      public abstract static class HistogramMetricValue.Builder<T extends HistogramMetricValue.Builder<T>>
      extends MetricValue.Builder<T>

  Builder (mutable) used to create a new value instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HistogramMetricValue.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HistogramMetricValue` | `build()`
    `T` | `maximum(long maximum)` Sets the maximum.
    `T` | `mean(double mean)` Sets the mean.
    `T` | `minimum(long minimum)` Sets the minimum.
    `T` | `quantile50(double quantile50)` Sets the 50th quantile.
    `T` | `quantile75(double quantile75)` Sets the 75th quantile.
    `T` | `quantile95(double quantile95)` Sets the 95th quantile.
    `T` | `quantile98(double quantile98)` Sets the 98th quantile.
    `T` | `quantile99(double quantile99)` Sets the 99th quantile.
    `T` | `stdDev(double stdDev)` Sets the standard deviation.

    - ### Methods inherited from class com.h3c.sdn.metric.MetricValue.Builder

      `count, millisecondsSpan, persistDate, self, type, uid, updateDate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HistogramMetricValue.Builder

          public HistogramMetricValue.Builder()

  - ### Method Detail

    - #### maximum

          public T maximum(long maximum)

      Sets the maximum.
      Parameters:
        `maximum` - the maximum value
      Returns:
        this instance

    - #### minimum

          public T minimum(long minimum)

      Sets the minimum.
      Parameters:
        `minimum` - the minimum
      Returns:
        this instance

    - #### mean

          public T mean(double mean)

      Sets the mean.
      Parameters:
        `mean` - the mean value
      Returns:
        this instance

    - #### stdDev

          public T stdDev(double stdDev)

      Sets the standard deviation.
      Parameters:
        `stdDev` - the standard deviation
      Returns:
        this instance

    - #### quantile50

          public T quantile50(double quantile50)

      Sets the 50th quantile.
      Parameters:
        `quantile50` - the 50th quantile value
      Returns:
        this instance

    - #### quantile75

          public T quantile75(double quantile75)

      Sets the 75th quantile.
      Parameters:
        `quantile75` - the 75th quantile value
      Returns:
        this instance

    - #### quantile95

          public T quantile95(double quantile95)

      Sets the 95th quantile.
      Parameters:
        `quantile95` - the 95th quantile value
      Returns:
        this instance

    - #### quantile98

          public T quantile98(double quantile98)

      Sets the 98th quantile.
      Parameters:
        `quantile98` - the 98th quantile value
      Returns:
        this instance

    - #### quantile99

          public T quantile99(double quantile99)

      Sets the 99th quantile.
      Parameters:
        `quantile99` - the 99th quantile value
      Returns:
        this instance

    - #### build

          public HistogramMetricValue build()

      Overrides:
        `build` in class `MetricValue.Builder<T extends HistogramMetricValue.Builder<T>>`

Copyright © 2014. All Rights Reserved.